package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IEnvWaterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-03-23
 */
@RestController
@RequestMapping("/env-water")
public class EnvWaterController {

    @Autowired
    private IEnvWaterService envWaterService;

    @PostMapping("/list")
    public Result listWater(@RequestBody Map<String, String> paramsMap){
        return envWaterService.listWater(paramsMap);
    }
}
