package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-03-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_device_recently_data")
@ApiModel(value="EnvDeviceRecentlyData对象", description="")
public class EnvDeviceRecentlyData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "设备id")
    private String deviceCode;

    @ApiModelProperty(value = "传感器id")
    private String chipCode;

    @ApiModelProperty(value = "值")
    private String chipValue;

    @ApiModelProperty(value = "1:温度1   2:温度2  3:温度3  4:温度4  5:温度5  6:温度6  7:室外温度  8:湿度  9:压力  10:粉尘  11:氨气  12:co2  13:平均温度  14:目标湿度  15:通风级别  16:加热  17:水暖湿度")
    private Integer chipType;

    @ApiModelProperty(value = "传感器名字")
    private String chipName;

    @ApiModelProperty(value = "0:未安装 1:正常  2:异常")
    private Integer chipStatus;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

    private Integer farmId;

    private String ohter1;

    private String ohter2;

    private String ohter3;


}
