package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-03-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_temp")
@ApiModel(value="EnvTemp对象", description="")
public class EnvTemp implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "芯片id")
    private String chipCode;

    @ApiModelProperty(value = "设备id")
    private String deviceCode;

    @ApiModelProperty(value = "栋舍id")
    private String unitId;

    @ApiModelProperty(value = "原始值记录")
    private BigDecimal originalValue;

    @ApiModelProperty(value = "处理后的值")
    private BigDecimal handleValue;

    @ApiModelProperty(value = "应答时间")
    private LocalDateTime askTime;

    @ApiModelProperty(value = "入库时间")
    private LocalDateTime updateTime;

    private Integer farmId;

    private String other1;

    private String other2;

    private String other3;


}
